Objects
WebhookEndpoint
Fields
idintegerrequiredurlstringrequireddescriptionstringrequiredactivebooleanrequiredpaused_atstring (date-time) | nullpaused_reasonstring | nullfailures: 10 failed attempts in a row;feature_disabled: the plan does not include webhooks.disabled_reasonstring | nullgone: the receiver answered 410;manual: disabled by an admin.Allowed values:
gonemanualnulldisabled_atstring (date-time) | nulldata_profile_idinteger | nullData profile of the webhook (
nullmeans no profile, as for an API key with the same role).collection_idsarray of integerrequiredCollections the webhook receives events about; empty means all collections available to the role and the data profile.
tagsarray of stringrequiredCard events only for cards with any of these tags; empty means no filter.
auth_typestring | nullType of the outbound authorization (
nullmeans none).Allowed values:
bearerbasicnullauth_setbooleanrequiredWhether outbound authorization is set (the values are never returned).
previous_secret_valid_untilstring (date-time) | nullUntil when deliveries are also signed with the previous secret (
nullmeans there is no overlap).healthWebhookHealthconsecutive_failuresintegerrequiredlast_delivery_atstring (date-time) | nulllast_success_atstring (date-time) | nulllast_errorstring | nullcreated_byinteger | nullcreated_by_namestring | nullcreated_atstring (date-time)requiredupdated_atstring (date-time)required
Used by
- GET
/v1/webhooks/{webhook_id}Get a webhook - PATCH
/v1/webhooks/{webhook_id}Update a webhook - POST
/v1/webhooks/{webhook_id}/revoke-previous-secretRevoke the previous secret - POST
/v1/webhooks/{webhook_id}/resumeResume a webhook